package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.Region;

/**
 * 省市区Service接口
 * 
 * @author ruoyi
 * @date 2023-11-07
 */
public interface IRegionService 
{
    /**
     * 查询省市区
     * 
     * @param id 省市区主键
     * @return 省市区
     */
    public Region selectRegionById(Long id);

    /**
     * 查询省市区列表
     * 
     * @param region 省市区
     * @return 省市区集合
     */
    public List<Region> selectRegionList(Region region);

    /**
     * 新增省市区
     * 
     * @param region 省市区
     * @return 结果
     */
    public int insertRegion(Region region);

    /**
     * 修改省市区
     * 
     * @param region 省市区
     * @return 结果
     */
    public int updateRegion(Region region);

    /**
     * 批量删除省市区
     * 
     * @param ids 需要删除的省市区主键集合
     * @return 结果
     */
    public int deleteRegionByIds(Long[] ids);

    /**
     * 删除省市区信息
     * 
     * @param id 省市区主键
     * @return 结果
     */
    public int deleteRegionById(Long id);
}
